## console-data 2002.12.04dbs-49ubuntu5

=== debian/changelog ===
console-data (2002.12.04dbs-49ubuntu5) breezy; urgency=low

  * Add AT keymaps to sparc.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 29 Sep 2005 15:04:51 +0200

console-data (2002.12.04dbs-49ubuntu4) breezy; urgency=low

  * add hppa to rules, control.

 -- LaMont Jones <lamont@ubuntu.com>  Fri,  5 Aug 2005 16:26:53 -0600

console-data (2002.12.04dbs-49ubuntu3) breezy; urgency=low

  * Change Choices separator in console-keymaps-*.templates from "," to ", "
    in order to be slightly more Perl-debconf-friendly.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jul 2005 23:05:19 +0100

console-data (2002.12.04dbs-49ubuntu2) breezy; urgency=low

  * Include console-keymaps-*.templates in
    /usr/lib/oem-config/menu/console-data.templates too, to help with
    oem-config-keyboard.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jul 2005 18:33:42 +0100

console-data (2002.12.04dbs-49ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2005 10:48:15 +0100
