=== debian/control ===
Source: console-data
Section: utils
Priority: important
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Anton Zinoviev <anton@lml.bas.bg>
Build-Depends: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext, keymapper (>= 0.5.3)
Build-Depends-Indep: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext
Standards-Version: 3.6.1

Package: console-data
Section: utils
Architecture: all
Recommends: console-tools (>= 1:0.2.3-16) | kbd (>= 0.99-12)
Depends: debconf (>= 0.5), console-common
Conflicts: kbd (<= 0.96a-1), kbd-data, console-tools-data
Provides: console-tools-data, console-keymaps
Replaces: console-tools-data
Description: Keymaps, fonts, charset maps, fallback tables for console-tools
 This package contains the standard data files for the Linux Console Tools.
 .
 This includes keyboard definitions (keymaps), console fonts for various
 encodings, maps defining the standard charsets for use by text applications,
 and fallback tables allowing to approximate an unavailable character's glyph
 with the glyph of another character in the current font.

Package: console-keymaps-at
Section: debian-installer
Priority: optional
Architecture: all
Provides: console-keymaps
Description: Keymaps for PC-style (PS/2 and AT) keyboards
 This package contains a minimal selection of keymaps and fonts required
 for the debian installer.
 .
 This package contains keymaps necessary for computers with 
 PC-style (PS/2 and AT) keyboards for i386 and many other architectures. 
 (Note: USB keyboards can be found in the console-keymaps-usb package).

Package: console-keymaps-usb
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Description: Keymaps for USB keyboards
 This package contains a minimal selection of keymaps required for
 the debian installer. This package only contains keymaps necessary 
 for USB keyboards.

Package: console-keymaps-sun
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Description: Keymaps for Sun keyboards
 This package contains a minimal selection of keymaps required for 
 the debian installer. This package contains keymaps for Sun keyboards only.

Package: console-keymaps-acorn
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Description: Keymaps for Acorn RISC-PC keyboards.
 This package contains a minimal selection of keymaps required for 
 the debian installer. This package contains keymaps for legacy 
 Acorn RISC-PC keyboards only.

Package: console-keymaps-mac
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Description: Keymaps for Apple keyboards
 This package contains a minimal selection of keymaps required for 
 the debian installer. This package contains keymaps for Apple keyboards.

Package: console-keymaps-atari
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Description: Keymaps for Atari keyboards.
 This package contains a minimal selection of keymaps required for 
 the debian installer. This package contains keymaps for Atari keyboards.

Package: console-keymaps-amiga
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Description: Keymaps for Amiga keyboards
 This package contains a minimal selection of keymaps required for 
 the debian installer. This package contains keymaps for Amiga keyboards.

Package: console-keymaps-dec
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Description: Keymaps for Dec keyboards
 This package contains a minimal selection of keymaps required
 the debian installer. It contains keymaps for Dec keyboards.

Package: console-keymaps-tree
Section: debian-installer
Architecture: i386 powerpc ia64 amd64 sparc hppa
Priority: extra
Description: Keymap decision tree
 This package contains a decision tree for deciding on which keymap to
 use. It is built by gen_keymap, and interpreted by kbd-chooser and
 cdebconf at install time.
 .
 See the keymapper package documentation for details.
