=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules file for package `console-tools'

# turn around bug in dpkg-parsechangelog
export LC_ALL=C

package=console-data
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
fullversion := $(shell \
        dpkg-parsechangelog | sed -n 's/^Version: //p; t e; b; :e; q' \
	)

TAR_DIR=console-data-1999.08.29
export DH_COMPAT=3

# the dbs rules
include /usr/share/dbs/dbs-build.mk

ifeq (,$(DEB_BUILD_GNU_TYPE))
 include /usr/share/dbs/dpkg-arch.mk
endif
ARCH=$(shell dpkg --print-architecture)

# All the small .udebs that get built
EXTRA_UDEB_PKGS    = 	console-keymaps-mac	\
		console-keymaps-sun	\
		console-keymaps-acorn	\
		console-keymaps-atari	\
		console-keymaps-amiga	\
		console-keymaps-usb	\
		console-keymaps-dec
OPTIONAL_UDEB_PKGS = console-keymaps-at
UDEB_PKGS=${OPTIONAL_UDEB_PKGS} ${EXTRA_UDEB_PKGS}

topdir=$(shell pwd)
installdir=${topdir}/debian/console-data
docdir=${installdir}/usr/share/doc/${package}
exampledir=${docdir}/examples
sharedir=${installdir}/usr/share/console

build-stamp=${STAMP_DIR}/build-stamp
build-udeb-stamp =${STAMP_DIR}/build-udeb-stamp
configure-stamp=${STAMP_DIR}/configure-stamp

build: ${build-stamp} ${configure-stamp}
configure: ${configure-stamp}

${build-stamp}: ${configure-stamp} $(patched)
	dh_testdir
	make -C ${BUILD_TREE}
	chmod +x debian/gen-acorn-keymaps
	touch ${build-stamp}

build-udeb: ${build-stamp}
	dh_testdir
        # Ensure the acorn keymaps get built. Cheaper in space terms than shipping
	# ps2-to-riscpc on the boot floppies. 
	debian/gen-acorn-keymaps
	touch ${build-udeb-stamp}

${configure-stamp}: $(patched)
	dh_testdir
	( cd ${BUILD_TREE} && ./configure --with-main_compressor=gzip)
	( cp -a build-tree/extras/keymaps ${BUILD_TREE} )
	touch ${configure-stamp}

clean:
	dh_testdir
	dh_testroot
	rm -rf console-data.config debian/console-data.templates ${SOURCE_DIR} ${STAMP_DIR} debian/sort-tmp debian/locales
	rm -rf debian/substvars decision-tree
	dh_clean

binary-indep: build build-udeb
	dh_testdir -i
	dh_testroot -i
	dh_clean -i -k
	dh_installdirs -i

	make -C ${BUILD_TREE} install DESTDIR=${installdir}
	mkdir -p  ${installdir}/usr/share/consolefonts
	# First fix the sfm tables in the lat2u fonts
	for d in ${topdir}/build-tree/extras/consolefonts/lat2u-*.psf ; do \
		psfaddtable $$d ${topdir}/build-tree/${TAR_DIR}/consoletrans/lat2u.sfm > X ; \
		mv X $$d ;  \
	done
	# 
	cp ${topdir}/build-tree/extras/consolefonts/* ${installdir}/usr/share/consolefonts
        # install the eurofonts collection	
	cp ${topdir}/build-tree/consolefonts/* ${installdir}/usr/share/consolefonts
	cp ${topdir}/build-tree/consoletrans/* ${installdir}/usr/share/consoletrans
	# uudecode -o ${installdir}/usr/share/consoletrans/iso13.acm < debian/iso13.acm.uue 
	# gzip ${installdir}/usr/share/consoletrans/iso13*
	gzip -9 <  ${installdir}/usr/share/consoletrans/iso13.sfm \
	  >   ${installdir}/usr/share/consoletrans/iso13.acm.gz
	gzip  -9 -f ${installdir}/usr/share/consolefonts/*.psf
	# move the euro.inc so everyone can use it
	# mv ${installdir}/usr/share/keymaps/i386/include/euro* \
		${installdir}/usr/share/keymaps/include
        # these fonts have a redistribution restriction
	rm -f ${installdir}/usr/share/consolefonts/Agafari-1*
	# And this is a mistake
	rm -f ${installdir}/usr/share/consolefonts/t.psf*
	# No more speakup keymaps
	rm -rf ${installdir}/usr/share/keymaps/i386/qwerty/speakup*

        # Install the udeb files
	for P in ${UDEB_PKGS} ; do  dh_install -p $$P ; done

	dh_consoledata -i
	# For convenience of programs that want a list of supported keymaps
	debian/list-keymaps.pl debian/console-data.keymaps > ${sharedir}/lists/console-data.keymap-list
	dh_installdebconf -i 
	# console-keymaps-* templates for oem-config
	mkdir -p ${installdir}/usr/lib/oem-config/menu
	set -e; for template in debian/console-keymaps-*/DEBIAN/templates; do \
		cat $$template >> ${installdir}/usr/lib/oem-config/menu/console-data.templates; \
		echo >> ${installdir}/usr/lib/oem-config/menu/console-data.templates; \
	done
	# Sort keymaps (including in translations)
	# MUST be after dh_installdebconf
	chmod u+x ./sort-keymaps
	./sort-keymaps

	install -d ${installdir}/usr/share/locale
	for PO in debian/po/*.po; do \
		L="$$(basename $$PO .po)"; \
		install -d ${installdir}/usr/share/locale/$$L/LC_MESSAGES; \
		msgfmt -o ${installdir}/usr/share/locale/$$L/LC_MESSAGES/console-data.mo $$PO; \
	done

	dh_installdocs -p console-data debian/README.us-intl
	install -d -m755 ${exampledir}
	mv $(docdir)/README.us-intl \
		${docdir}/keymaps/
	mv ${docdir}/keymaps/hypermap.m4 \
		${exampledir}/

        # install changelog in non-udeb only
	dh_installchangelogs -p console-data

	dh_compress -i --package console-data
	dh_fixperms -i
	dh_installdeb -i

	dh_perl       --package console-data -d
	dh_gencontrol --package console-data
	dh_builddeb --package console-data
        # md5sums for deb only, not udeb
	dh_md5sums  --package  console-data

        # Build udebs, avoid automagic problem. Don't use dh_gencontrol guesses
        # instead, register file manually with distaddfile 
	chmod +x ./debian/trim_keymaps.sh
	for P in ${OPTIONAL_UDEB_PKGS} ; do							\
		dpkg-distaddfile  $${P}_${fullversion}_all.udeb debian-installer optional ; 	\
	done
	for P in ${EXTRA_UDEB_PKGS} ; do							\
		 dpkg-distaddfile  $${P}_${fullversion}_all.udeb debian-installer extra ;	\
	done
	for P in ${UDEB_PKGS}; do 								\
		./debian/trim_keymaps.sh ${topdir}/debian/$${P} ; 				\
		dh_link -p $${P} ;								\
		find debian/$${P} -name 'postrm' -exec rm {} \;	 ;				\
		dh_gencontrol --package $${P} -- -fdebian/files~ ;				\
		dh_builddeb --package $${P} 				 			\
			--filename=$${P}_${fullversion}_all.udeb ; 				\
	done


# WARNING:
# The decision-tree-${ARCH} rules need to match whatever d-i installs
# in that architecture's initrd. Otherwise, keyboard selection will
# not work for some people.

decision-tree: decision-tree-${ARCH}

# Interestingly, ppc also needs the AT keymaps...
decision-tree-i386 decision-tree-amd64 decision-tree-ia64 decision-tree-hppa:
	 gen_keymap -o decision-tree -v -i \
		-I build-tree/console-data-1999.08.29/keymaps/i386/qwerty/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/qwertz/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/azerty/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/dvorak/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/fgGIod/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/include/ \
		-I build-tree/console-data-1999.08.29/keymaps/include/ \
		-s fr_CH-latin1,slovene \
		debian/udeb/console-keymaps-at

decision-tree-powerpc:
	 gen_keymap -o decision-tree -v -i \
	 	-I build-tree/console-data-1999.08.29/keymaps/mac/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/qwerty/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/qwertz/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/azerty/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/dvorak/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/fgGIod/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/include/ \
		-I build-tree/console-data-1999.08.29/keymaps/include/ \
		-s dvorak,us,mac-us-ext,mac-usb-de-latin1,fr_CH-latin1,de-latin1-nodeadkeys,fi-latin1,se-latin1,uk,pt-latin1,fr-latin9,it,es,dk-latin1,sg-latin1,be2-latin1,slovene \
		debian/udeb/console-keymaps-usb \
		debian/udeb/console-keymaps-at

decision-tree-sparc:
	gen_keymap -o decision-tree -v -i \
		-I build-tree/console-data-1999.08.29/keymaps/i386/qwerty/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/qwertz/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/azerty/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/dvorak/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/fgGIod/ \
		-I build-tree/console-data-1999.08.29/keymaps/i386/include/ \
		-I build-tree/console-data-1999.08.29/keymaps/sun/ \
