## console-data 2002.12.04dbs-52.1ubuntu9

=== debian/changelog ===
console-data (2002.12.04dbs-52.1ubuntu9) dapper; urgency=low

  * Exclude th-tis from the keymap decision tree for most architectures;
    keymapper seems to get very confused by it.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 15 Apr 2006 11:18:04 +0100

console-data (2002.12.04dbs-52.1ubuntu8) dapper; urgency=low

  [ Theppitak Karoonboonyanan ]
  * Thai patches
    - 230_th_keymap.patch: Thai keymap.
    - 240_th_trans.patch: Thai console trans.
    - thai-consolefonts.tar.gz: Thai console fonts.
  * console-data.config, console-data.keymap, console-keymaps-at.install,
    udeb/console-keymaps-at: Add Thai keymap config data.
  * Recommends console-tools >= 1:0.2.3dbs-60ubuntu3.

  [ Colin Watson ]
  * Remove all espresso cruft from the source package.
  * Build-depend on keymapper (>= 0.5.3-3) for updated Thai keysyms.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Apr 2006 23:15:40 +0100

console-data (2002.12.04dbs-52.1ubuntu7) dapper; urgency=low

  * Include the d-i templates in the regular package too, they're used by
    espresso.
  * Stop shipping espresso-keyboard-setup, it's created from kbd-chooser
    now.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu,  9 Mar 2006 13:04:25 +0100

console-data (2002.12.04dbs-52.1ubuntu6) dapper; urgency=low

  * Remove console-keymaps-sun since it's 2.4 only and it breaks
    more than what it fixes.

  * Move decision-tree-sparc inline with i386 and Co.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 17 Mar 2006 09:08:13 +0100

console-data (2002.12.04dbs-52.1ubuntu5) dapper; urgency=low

  * Fix section and priority of espresso-keyboard-setup to match overrides.
  * Build espresso-keyboard-setup in binary-arch, not binary-indep.
  * Mark console-keymaps-tree as XC-Package-Type: udeb so that debhelper can
    do the right thing.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  4 Mar 2006 00:21:27 +0000

console-data (2002.12.04dbs-52.1ubuntu4) dapper; urgency=low

  * Add initial espress-keyboard-setup package.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed,  1 Mar 2006 13:38:14 +0100

console-data (2002.12.04dbs-52.1ubuntu3) dapper; urgency=low

  * Default to la-latin1 for es_CL (closes: Malone #31235).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2006 09:37:24 +0000

console-data (2002.12.04dbs-52.1ubuntu2) dapper; urgency=low

  * Make sure debian/list-keymaps.pl is executable.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Jan 2006 09:33:14 +0000

console-data (2002.12.04dbs-52.1ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2006 16:36:07 +0000

console-data (2002.12.04dbs-50ubuntu2) dapper; urgency=low

  * Remove debian/patches/195_dvorak_a.patch, merged with a different name
    in Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2005 16:49:16 +0000

console-data (2002.12.04dbs-50ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2005 15:41:36 +0000
