=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: important
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Anton Zinoviev <anton@lml.bas.bg>
-Build-Depends: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext, keymapper (>= 0.5.3)
-Build-Depends-Indep: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext
-Standards-Version: 3.6.1
+Build-Depends: dbs, debhelper (>= 4.1.6), dh-consoledata (>= 0.7.49), sharutils, console-tools, gettext, keymapper (>= 0.5.3-3)
+Build-Depends-Indep: dbs, debhelper (>= 4.1.6), dh-consoledata (>= 0.7.49), sharutils, console-tools, gettext
+Standards-Version: 3.6.2
 
 Package: console-data
 Section: utils
 Architecture: all
-Recommends: console-tools (>= 1:0.2.3-16) | kbd (>= 0.99-12)
-Depends: debconf (>= 0.5), console-common
+Recommends: console-tools (>= 1:0.2.3dbs-60ubuntu3) | kbd (>= 0.99-12), console-common
+Depends: debconf | debconf-2.0, ${misc:Depends}
 Conflicts: kbd (<= 0.96a-1), kbd-data, console-tools-data
 Provides: console-tools-data, console-keymaps
 Replaces: console-tools-data
@@ -28,6 +28,8 @@
 Priority: optional
 Architecture: all
 Provides: console-keymaps
+Depends: cdebconf-udeb
+XC-Package-Type: udeb
 Description: Keymaps for PC-style (PS/2 and AT) keyboards
  This package contains a minimal selection of keymaps and fonts required
  for the debian installer.
@@ -41,6 +43,8 @@
 Architecture: all
 Priority: extra
 Provides: console-keymaps
+Depends: cdebconf-udeb
+XC-Package-Type: udeb
 Description: Keymaps for USB keyboards
  This package contains a minimal selection of keymaps required for
  the debian installer. This package only contains keymaps necessary 
@@ -51,6 +55,8 @@
 Architecture: all
 Priority: extra
 Provides: console-keymaps
+XC-Package-Type: udeb
+Depends: cdebconf-udeb
 Description: Keymaps for Sun keyboards
  This package contains a minimal selection of keymaps required for 
  the debian installer. This package contains keymaps for Sun keyboards only.
@@ -60,7 +66,9 @@
 Architecture: all
 Priority: extra
 Provides: console-keymaps
-Description: Keymaps for Acorn RISC-PC keyboards.
+Depends: cdebconf-udeb
+XC-Package-Type: udeb
+Description: Keymaps for Acorn RISC-PC keyboards
  This package contains a minimal selection of keymaps required for 
  the debian installer. This package contains keymaps for legacy 
  Acorn RISC-PC keyboards only.
@@ -70,6 +78,8 @@
 Architecture: all
 Priority: extra
 Provides: console-keymaps
+Depends: cdebconf-udeb
+XC-Package-Type: udeb
 Description: Keymaps for Apple keyboards
  This package contains a minimal selection of keymaps required for 
  the debian installer. This package contains keymaps for Apple keyboards.
@@ -78,8 +88,10 @@
 Section: debian-installer
 Architecture: all
 Priority: extra
+XC-Package-Type: udeb
 Provides: console-keymaps
-Description: Keymaps for Atari keyboards.
+Depends: cdebconf-udeb
+Description: Keymaps for Atari keyboards
  This package contains a minimal selection of keymaps required for 
  the debian installer. This package contains keymaps for Atari keyboards.
 
@@ -88,6 +100,8 @@
 Architecture: all
 Priority: extra
 Provides: console-keymaps
+XC-Package-Type: udeb
+Depends: cdebconf-udeb
 Description: Keymaps for Amiga keyboards
  This package contains a minimal selection of keymaps required for 
  the debian installer. This package contains keymaps for Amiga keyboards.
@@ -96,6 +110,8 @@
 Section: debian-installer
 Architecture: all
 Priority: extra
+XC-Package-Type: udeb
+Depends: cdebconf-udeb
 Provides: console-keymaps
 Description: Keymaps for Dec keyboards
  This package contains a minimal selection of keymaps required
@@ -105,10 +121,10 @@
 Section: debian-installer
 Architecture: i386 powerpc ia64 amd64 sparc hppa
 Priority: extra
+XC-Package-Type: udeb
 Description: Keymap decision tree
  This package contains a decision tree for deciding on which keymap to
  use. It is built by gen_keymap, and interpreted by kbd-chooser and
  cdebconf at install time.
  .
  See the keymapper package documentation for details.
-
