=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	)
 
 TAR_DIR=console-data-1999.08.29
-export DH_COMPAT=3
+export DH_COMPAT=5
 
 # the dbs rules
 include /usr/share/dbs/dbs-build.mk
@@ -98,7 +98,7 @@
 	gzip  -9 -f ${installdir}/usr/share/consolefonts/*.psf
 	# move the euro.inc so everyone can use it
 	# mv ${installdir}/usr/share/keymaps/i386/include/euro* \
-		${installdir}/usr/share/keymaps/include
+	#		${installdir}/usr/share/keymaps/include
         # these fonts have a redistribution restriction
 	rm -f ${installdir}/usr/share/consolefonts/Agafari-1*
 	# And this is a mistake
@@ -111,7 +111,16 @@
 
 	dh_consoledata -i
 	# For convenience of programs that want a list of supported keymaps
+	chmod u+x debian/list-keymaps.pl
 	debian/list-keymaps.pl debian/console-data.keymaps > ${sharedir}/lists/console-data.keymap-list
+
+	# Needed for espresso
+	for f in debian/console-keymaps-*.templates; do \
+		echo >> debian/console-data.templates ; \
+		cat $$f >> debian/console-data.templates ; \
+	done
+	dh_install -pconsole-data debian/udeb/console-keymaps* usr/share/console/lists/
+
 	dh_installdebconf -i 
 	# console-keymaps-* templates for oem-config
 	mkdir -p ${installdir}/usr/lib/oem-config/menu
@@ -138,18 +147,16 @@
 	mv ${docdir}/keymaps/hypermap.m4 \
 		${exampledir}/
 
-        # install changelog in non-udeb only
-	dh_installchangelogs -p console-data
-
-	dh_compress -i --package console-data
-	dh_fixperms -i
+	dh_installchangelogs
+
+	dh_compress -i
+	dh_fixperms -i 
 	dh_installdeb -i
 
 	dh_perl       --package console-data -d
 	dh_gencontrol --package console-data
 	dh_builddeb --package console-data
-        # md5sums for deb only, not udeb
-	dh_md5sums  --package  console-data
+	dh_md5sums
 
         # Build udebs, avoid automagic problem. Don't use dh_gencontrol guesses
         # instead, register file manually with distaddfile 
@@ -178,7 +185,7 @@
 decision-tree: decision-tree-${ARCH}
 
 # Interestingly, ppc also needs the AT keymaps...
-decision-tree-i386 decision-tree-amd64 decision-tree-ia64 decision-tree-hppa:
+decision-tree-i386 decision-tree-amd64 decision-tree-ia64 decision-tree-hppa decision-tree-sparc:
 	 gen_keymap -o decision-tree -v -i \
 		-I build-tree/console-data-1999.08.29/keymaps/i386/qwerty/ \
 		-I build-tree/console-data-1999.08.29/keymaps/i386/qwertz/ \
@@ -187,7 +194,7 @@
 		-I build-tree/console-data-1999.08.29/keymaps/i386/fgGIod/ \
 		-I build-tree/console-data-1999.08.29/keymaps/i386/include/ \
 		-I build-tree/console-data-1999.08.29/keymaps/include/ \
-		-s fr_CH-latin1,slovene \
+		-s fr_CH-latin1,slovene,th-tis \
 		debian/udeb/console-keymaps-at
 
 decision-tree-powerpc:
@@ -204,12 +211,15 @@
 		debian/udeb/console-keymaps-usb \
 		debian/udeb/console-keymaps-at
 
-decision-tree-sparc:
-	gen_keymap -o decision-tree -v -i \
-		-I build-tree/console-data-1999.08.29/keymaps/i386/qwerty/ \
-		-I build-tree/console-data-1999.08.29/keymaps/i386/qwertz/ \
-		-I build-tree/console-data-1999.08.29/keymaps/i386/azerty/ \
-		-I build-tree/console-data-1999.08.29/keymaps/i386/dvorak/ \
-		-I build-tree/console-data-1999.08.29/keymaps/i386/fgGIod/ \
-		-I build-tree/console-data-1999.08.29/keymaps/i386/include/ \
-		-I build-tree/console-data-1999.08.29/keymaps/sun/ \
+binary-arch: decision-tree
+	dh_testdir -a
+	dh_testroot -a
+	dh_clean -a -k
+	dh_installdirs -a
+	dh_install -p console-keymaps-tree
+	dh_installdocs -a
+	dh_installchangelogs -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_installdeb -a
+	dpkg-distaddfile console-keymaps-tree_${fullversion}_${ARCH}.udeb debian-installer extra
